libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
bssgp2_flow_ctrl Struct Reference

`#include <gprs_bssgp2.h>`

## Data Fields
uint8_t | tag
uint64_t | bucket_size_max
uint64_t | bucket_leak_rate
| bucket leak rate in bytes per second More...
uint8_t | bucket_full_ratio
bool | bucket_full_ratio_present
union {
struct {
uint64_t bmax_default_ms
| default maximum bucket size per MS in bytes More...
uint64_t r_default_ms
| default bucket leak rate (R) for MS flow control bucket More...
uint32_t measurement
| average milliseconds of queueing delay for a BVC More...
bool measurement_present
} bvc
| FC-BVC specifi members. More...
struct {
uint32_t tlli
| TLLI of the MS. More...
} ms
| FC-MS specifi members. More...
} | u

## Field Documentation

## ◆ bmax_default_ms

uint64_t bssgp2_flow_ctrl::bmax_default_ms

default maximum bucket size per MS in bytes

Referenced by bssgp2_dec_fc_bvc(), and bssgp2_enc_fc_bvc().

## ◆ bucket_full_ratio

uint8_t bssgp2_flow_ctrl::bucket_full_ratio

Referenced by bssgp2_dec_fc_bvc(), bssgp2_dec_fc_ms(), bssgp2_enc_fc_bvc(), and bssgp2_enc_fc_ms().

## ◆ bucket_full_ratio_present

bool bssgp2_flow_ctrl::bucket_full_ratio_present

Referenced by bssgp2_dec_fc_bvc(), bssgp2_dec_fc_ms(), bssgp2_enc_fc_bvc(), and bssgp2_enc_fc_ms().

## ◆ bucket_leak_rate

uint64_t bssgp2_flow_ctrl::bucket_leak_rate

bucket leak rate in bytes per second

Referenced by bssgp2_dec_fc_bvc(), bssgp2_dec_fc_ms(), bssgp2_enc_fc_bvc(), and bssgp2_enc_fc_ms().

## ◆ bucket_size_max

uint64_t bssgp2_flow_ctrl::bucket_size_max

Referenced by bssgp2_dec_fc_bvc(), bssgp2_dec_fc_ms(), bssgp2_enc_fc_bvc(), and bssgp2_enc_fc_ms().

## ◆

struct { ... } bssgp2_flow_ctrl::bvc

FC-BVC specifi members.

Referenced by bssgp2_dec_fc_bvc(), and bssgp2_enc_fc_bvc().

## ◆ measurement

uint32_t bssgp2_flow_ctrl::measurement

average milliseconds of queueing delay for a BVC

Referenced by bssgp2_dec_fc_bvc(), and bssgp2_enc_fc_bvc().

## ◆ measurement_present

bool bssgp2_flow_ctrl::measurement_present

Referenced by bssgp2_dec_fc_bvc(), and bssgp2_enc_fc_bvc().

## ◆

struct { ... } bssgp2_flow_ctrl::ms

FC-MS specifi members.

Referenced by bssgp2_dec_fc_ms(), and bssgp2_enc_fc_ms().

## ◆ r_default_ms

uint64_t bssgp2_flow_ctrl::r_default_ms

default bucket leak rate (R) for MS flow control bucket

Referenced by bssgp2_dec_fc_bvc(), and bssgp2_enc_fc_bvc().

## ◆ tag

uint8_t bssgp2_flow_ctrl::tag

Referenced by bssgp2_dec_fc_bvc(), bssgp2_dec_fc_ms(), bssgp2_enc_fc_bvc(), bssgp2_enc_fc_ms(), and bssgp_bvc_fsm_unblocked().

## ◆ tlli

uint32_t bssgp2_flow_ctrl::tlli

TLLI of the MS.

Referenced by bssgp2_dec_fc_ms(), and bssgp2_enc_fc_ms().

## ◆

union { ... } bssgp2_flow_ctrl::u

Referenced by bssgp2_dec_fc_bvc(), bssgp2_dec_fc_ms(), bssgp2_enc_fc_bvc(), and bssgp2_enc_fc_ms().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_bssgp2.h